# eth\_getTransactionByBlockHashAndIndex - Ethereum

## How to Use the eth\_getTransactionByBlockHashAndIndex Method

### **Parameters**

DATA, 32 Bytes - block’s hash.

QUANTITY - the transaction index position presented as an integer. params:

```
[ 
    '0xc0f4906fea23cf6f3cce98cb44e8e1449e455b28d684dfa9ff65426495584de6', 
    '0x0' // 0 
]
```

### **What you receive**

TRANSACTION - An object of transaction, or returns null in case no transaction was found.

* hash: 32 Bytes - the transaction’s hash.
* nonce: how many transactions were sent from one address before the current one.
* blockHash: DATA, 32 Bytes - the block’s hash where this transaction was located. returns null in case of a pending log.
* blockNumber: the number of a block related to the chosen transaction. null when its pending.
* transactionIndex: integer of the transactions index position in the block. returns null in case of a pending log.
* from: 20 Bytes - the sender’s address.
* to: 20 Bytes - the receiver’s address. returns null if a transaction relates to smart contract creation.
* value: value represented in Wei.
* gasPrice: gas price that the sender did provide. represented in Wei.
* gas: gas amount that the sender provided.
* input: which data was sent along the transaction.

### Sample

Here is a typical appliance example.

#### Call

{% tabs %}
{% tab title="Curl" %}

```bash
curl https://eth-mainnet.rpcfast.com/?api_key=<key> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionByBlockHashAndIndex","params":["0xc0f4906fea23cf6f3cce98cb44e8e1449e455b28d684dfa9ff65426495584de6", "0x0"],"id":0}'

```

{% endtab %}
{% endtabs %}

#### Outcome

```json
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "blockHash": "0xc0f4906fea23cf6f3cce98cb44e8e1449e455b28d684dfa9ff65426495584de6",
    "blockNumber": "0x1e8480",
    "from": "0x32be343b94f860124dc4fee278fdcbd38c102d88",
    "gas": "0x51615",
    "gasPrice": "0x6fc23ac00",
    "hash": "0xc55e2b90168af6972193c1f86fa4d7d7b31a29c156665d15b9cd48618b5177ef",
    "input": "0x",
    "nonce": "0x1efc5",
    "to": "0x104994f45d9d697ca104e5704a7b77d7fec3537c",
    "transactionIndex": "0x0",
    "value": "0x821878651a4d70000",
    "v": "0x1b",
    "r": "0x51222d91a379452395d0abaff981af4cfcc242f25cfaf947dea8245a477731f9",
    "s": "0x3a997c910b4701cca5d933fb26064ee5af7fe3236ff0ef2b58aa50b25aff8ca5"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactionbyblockhashandindex-ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
